extends Node2D

@export var parent_sprite : Sprite2D = null
@export var drop_shadow_distance : int = 10

var drop_shadow_sprite : Sprite2D = null

func _ready() -> void:
	if parent_sprite is Sprite2D:
		drop_shadow()
	pass

func drop_shadow() -> void:
	drop_shadow_sprite = parent_sprite.duplicate()

	drop_shadow_sprite.scale = Vector2(1.1, 1.1)
	
	drop_shadow_sprite.set_modulate(Color(0, 0, 0, 0.1))

	drop_shadow_sprite.set_position(Vector2(drop_shadow_distance, drop_shadow_distance))
	#drop_shadow_sprite.global_position = parent_sprite.global_position + Vector2(drop_shadow_distance, drop_shadow_distance)
	drop_shadow_sprite.show_behind_parent = true

	parent_sprite.add_child.call_deferred(drop_shadow_sprite)
